Threefish512::Dec Class Reference

Decryption transformation. More...

`#include <threefish.h>`

Inheritance diagram for Threefish512::Dec:

## Additional Inherited Members

Public Types inherited from Threefish_Base< 64 >
typedef SecBlock< word64, AllocatorWithCleanup< word64, true > > | AlignedSecBlock64
Public Member Functions inherited from Threefish_Base< 64 >
void | SetTweak (const NameValuePairs &params)
Public Member Functions inherited from BlockCipherImpl< Threefish_Info< 64 > >
unsigned int | BlockSize () const
| Provides the block size of the algorithm.
Public Member Functions inherited from AlgorithmImpl< BASE, ALGORITHM_INFO >
std::string | AlgorithmName () const
| The algorithm name.
Static Public Member Functions inherited from AlgorithmImpl< BASE, ALGORITHM_INFO >
static std::string | StaticAlgorithmName ()
| The algorithm name.
Public Attributes inherited from Threefish_Base< 64 >
AlignedSecBlock64 | m_wspace
AlignedSecBlock64 | m_rkey
AlignedSecBlock64 | m_tweak

## Detailed Description

Decryption transformation.

Dec provides implementation for decryption transformation. All key and block sizes are supported.

Since
  Crypto++ 6.0

Definition at line 142 of file threefish.h.

The documentation for this class was generated from the following files:

- threefish.h
- threefish.cpp